Changelogger şi Plugin Compatibility Checker


Ultimele versiuni WordPress 2.7 şi 2.8 au adus cu ele o serie de modificări care permit actualizarea mult mai uşoară şi mai rapidă a pluginurilor, a temelor şi chiar a întregii platforme WP. Chiar dacă începând cu versiunea 2.8 se permite actualizarea automată a temelor vizuale, nici pluginurile nu au fost uitate şi în prealabil s-a făcut o schimbare aparent nesesizabilă utilizatorului de rând. Pentru o mai bună conformitate cu directorul oficial de pluginuri WP, dezvoltatorii de pluginuri au fost rugaţi (mda, cu timpul vor fi probabil obligaţi) să folosească de la momentul respectiv (20 iunie 2009) un fişier text readme standardizat, din care să poată fi citite şi publicate în mod automat schimbările aduse cu fiecare versiune nouă a pluginului lor. Acestea pot fi urmărite în meniul Changelog al pluginurilor listate în directorul oficial. Însă odată cu posibilitatea actualizării automate, cine mai vizitează acest director şi citeşte schimbările aduse? Majoritatea utilizatorilor actualizează pluginurile în mod automat din backend-ul WP având încredere în semnalările automatizate. Şi totuşi multe schimbări sunt inutile, nu sunt actualizări legate de probleme de securitate, ci poate fi vorba de adăugarea unui nou fişier de limbă suportată sau de adăugarea unor imagini sau linkuri de descriere. Deci lucruri care mai mult încarcă serverul unui site.

imagine

Rezolvarea o aduce din nou un plugin. Pentru a previzualiza datele din Changelog direct în panoul de adminstrare WP în meniul de pluginuri şi pentru a discerne mai bine dacă într-adevăr actualizarea pluginului este necesară sau nu, se poate folosi un nou plugin cu numele… aţi ghicit… Changelogger (sau pe pagina autorului). Pluginul este extrem de intuitiv, după instalare nu sunt necesare nici un fel de configurări. În meniul de pluginuri, în cazul actualizării unui plugin, în mod automat sunt preluate şi afişate datele din Changelog (vezi captura), desigur numai dacă autorul pluginului foloseşte fişierul standard amintit. Fiind vorba de un plugin iniţial de limba germană, autorul mi-a permis traducerea celor câteva rânduri din fişierul de limbă. În mod normal versiunea în limba română este inclusă în directorul pluginului oferit spre descărcare, în caz contrar fişierele .po şi .mo în limba română pot fi descărcate independent aici şi introduse în directorul de limbi al pluginului. Mai amintesc faptul că pluginul este înscris în competiţia de pluginuri WP organizată anual de către WeblogToolsCollection.com. Dacă consideraţi util pluginul votaţi pentru el. (Pentru a preîntâmpina unele comentarii, specific acum că nu am nici un profit financiar de pe urma recomandării pluginului).

Într-o altă ordine de idei dar în strânsă legătura cu tema materialului aş dori să prezint şi PluginCheck pentru WP. De regulă la apariţia unei versiuni WP unele pluginuri rămân în urmă cu actualizările şi de la caz la caz nu mai funcţionează. Pentru a preîntâmpina acest lucru dezvoltatorii WP testează unele pluginuri mai cunoscute asupra compatibilităţii lor cu noile versiuni. În prezent puteţi vizita această pagină oficială, sunt enumerate pluginurile testate şi funcţionabile cu actuala versiune WP 2.8. Probabil aţi observat că sunt o mulţime însă totuşi foarte puţine în comparaţie cu numărul imens de pluginuri WP disponibile pe web. Golul acesta îl umple site-ul deja amintit, PluginCheck. Aici sunt oferite peste 5000 de pluginuri WP, afişate într-un tabel care ne prezintă într-un mod vizual clar (cu ajutorul a două culori, roşu şi verde, deduceţi semnificaţia lor) care versiune WP suportă care pluginuri. Liste este actualizată constant (vezi captura). Următoarele criterii stau la baza alcătuirii tabelului: Min WP (versiunea minimă WP pe care pluginul este suportată), Max WP (versiunea maximă WP suportată), MOVE (pluginul permite configurarea fără riscuri a directorului wp-content), PHP 4 (pluginul este compatibil cu versiunea PHP 4), DB (pluginul comunică direct cu baza de date şi nu prin intermediul claselor WP), DEPR (pluginul mai foloseşte funcţii din versiuni WP anterioare), PREP (pluginul se conectează sigur la baza de date). Utilizatorului de rând ultimele caracteristici tehnice nu îi spun nimic, însă dacă opţiunile sunt bifate şi totul e pe verde, pluginul este absolut recomandabil. O mai mare relevanţă s-ar putea să aibă site-ul pentru dezvoltatorii de pluginuri, ei pot urmări testele şi încerca să corecteze anumite minusuri apărute în timpul programării pluginurilor. În concluzie este vorba de o idee foarte utilă, din păcate disponibilă doar în limba engleză.

imagine


Apreciază articolul:

1 stea2 stea3 stea4 stea5 stea (1 evaluări, media: 5,00 din 5)
Loading...Loading...

0 comentarii


Lasă un răspuns

Adresa ta de email nu va fi publicată. Câmpurile necesare sunt marcate *